      SUBROUTINE VALISO(DXCA,NBCOUL)
      INCLUDE 'com_options.f'
      INCLUDE 'com_val.f'
      CHARACTER*20 CVV
C
      CALL GSLSS(IFONT0)
      CALL GSPATF(ICTFON)
      CALL ASFCOL(ICOLAX)
      DO I=1,NBCOUL
        IF (VALMAR(1,I).NE.BIGS) THEN
          V = VALFRO(I)
          WRITE(CVV,'(G14.5)') V
          CALL ENLEVE_TOUS_BLANCS(CVV,LCVV,14)
          IF (CVV(LCVV-3:LCVV-3).EQ.'E') THEN
            LBID = LCVV-4
 1263       IF (CVV(LBID:LBID).EQ.'0') THEN
            LBID = LBID-1
            GOTO 1263
            ENDIF
            CVV(1:LBID+4) = CVV(1:LBID)//CVV(LCVV-3:LCVV)
            LCVV = LBID+4
          ELSE
 3112       IF (CVV(LCVV:LCVV).EQ.'0') THEN
            LCVV = LCVV-1
            GOTO 3112
            ENDIF
            IF (CVV(LCVV:LCVV).EQ.'.') LCVV = LCVV-1
          ENDIF
          IF (CVV(1:1).EQ.'.') THEN
            DO K=LCVV,1,-1
            CVV(K+1:K+1) = CVV(K:K)
            ENDDO
            CVV(1:1) = '0'
            LCVV = LCVV+1
          ELSEIF (CVV(1:1).EQ.'-'.AND.CVV(2:2).EQ.'.') THEN
            DO K=LCVV,2,-1
            CVV(K+1:K+1) = CVV(K:K)
            ENDDO
            CVV(2:2) = '0'
            LCVV = LCVV+1
          ENDIF
          CALL GSCHAR2(VALMAR(1,I)-REAL(LCVV)*DXCA,VALMAR(2,I)
     &                ,LCVV,CVV)
        ENDIF
      ENDDO
      END
